package com.iamberry.wechat.face.drp;

import java.util.List;
import java.util.Map;

import com.iamberry.wechat.core.entity.PageBean;
import com.iamberry.wechat.core.entity.ResultMsg;
import com.iamberry.wechat.core.entity.drp.PlaceWithDrawalsLogs;


/**
 * @description 提现申请表业务处理
 * @author 欧阳明
 * @date 2016-4-19
 */
public interface PlaceWithDrawalsLogsService {

	//提现规则
	public String getTheRule();
	
	//根据id获取提现记录
	public PlaceWithDrawalsLogs getOne(int id);
	
	//调整申请提交页面
	public Map apply(String openid);
	
	//提现申请提交
	public ResultMsg submitApply(PlaceWithDrawalsLogs placeWithDrawalsLogs);
	
	//处理提现申请
	public ResultMsg dealApply(PlaceWithDrawalsLogs placeWithDrawalsLogs);
	
	//历史提现记录
	public Map HistoryRecords(String openid);
	
	//获取下一页提现记录
	public Map HistoryRecordsNext(PlaceWithDrawalsLogs pwd);
	
	//后台提现记录的查询
	public Map HistoryRecordsManager(PageBean pag);
	
	//插入数据
	public void insertTest(PlaceWithDrawalsLogs pwd);
	//获取单个用户提现总额
	public int getTotalMoneyByPlaceId(int placeId);
	
	//获取所有的提现记录  可支持条件查询
	public List<PlaceWithDrawalsLogs> selectAllMore(PlaceWithDrawalsLogs placeWithDrawalsLogs);
}
